<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Счастливый фермер'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
err();
aut();

$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){


echo '<b><font color="red">Обмен пункт</font></b><br/>';


$action=htmlspecialchars(trim($_GET['action']));


switch ($action){

default:
echo 'Здарова, '.$user['nick'].'!<br/>';
echo 'У тебя есть <b>'.$user['balls'].'</b> балов сайта!<br/>';
echo 'Денег на ферме: <b>'.$user['fermer_money'].'</b><br/>';
echo 'Поменять их на $ по курсу 1 бал = 10$<br/>';
echo '<form action="obmen.php?action=change" method="post">';
echo 'Сколько балов хотите поменять:<br/>';
echo '<input name="num" type="text" value=""/><br/>';
echo '<input type="submit" value="Менять"/>';
echo '</form>';
break;


case 'change':
$num=(int)$_POST['num'];
if(!$num || $num<1){echo 'Пустые параметры!';break;};
if($user['balls']<$num){echo 'У вас нет столько балов!';break;};
$baks=$num*10;
mysql_query("UPDATE `user` SET `fermer_money`=`fermer_money`+'$baks',`balls`=`balls`-'$num' WHERE `id`='".$user['id']."'");
echo 'Успешно!';
break;


};
echo '<div class="msg"><a href="index.php">На ферме</a></div>';
}else{echo '<div class="msg">Город закрыт администратором!</div>';};

}else{
echo '<div class="msg">Город доступен только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>

